petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCCompositeGetPC

Gets one of the PC objects in the composite PC.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCCompositeGetPC(PC pc,PetscInt n,PC *subpc)

Not Collective

### Input Parameter

| pc | - the preconditioner context
| n | - the number of the pc requested

### Output Parameters

subpc -the PC requested

### Keywords

PC, get, composite preconditioner, sub preconditioner

### See Also

PCCompositeAddPC(), PCCompositeGetNumberPC()

Level:Developer
Location:src/ksp/pc/impls/composite/composite.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages